.meal-card {
  position: relative;
  overflow: hidden;
  cursor: pointer;
  border-radius: 12px;
}

.meal-card img {
  width: 100%;
  display: block;
  border-radius: 12px;
}

.overlay {
  position: absolute;
  left: 0;
  bottom: -100%;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.8);
  display: flex;
  align-items: center;
  justify-content: center;
  transition: bottom 0.6s ease-in-out;
  border-radius: 12px;
}

.meal-card:hover .overlay {
  bottom: 0;
}

.overlay h3 {
  color: #000;
  font-weight: bold;
  text-align: center;
}

.container {
  width: 2000px;
}

@media (max-width: 576px) {
  .meal-card {
    border-radius: 8px;
    max-width: 300px;
    margin-inline: auto !important;
  }
  .overlay {
    border-radius: 8px;
  }
  .overlay h3 {
    font-size: 35px;
  }

  .container {
    width: 300px;
  }
}
